<?xml version="1.0" encoding="utf-8" ?>
<ArrayOfAction xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">  
  <Action xsi:type="UninstallWebpartAction"  WebpartName="OverviewWebpart.webpart" />
  <Action xsi:type="UninstallWebpartAction"  WebpartName="SimpleWebpart.webpart" />
	
	
  <Action xsi:type="AddSiteRepositoriesToVersionSiteCollectionsTabel" />
	
  <Action xsi:type="UpgradeDatabaseAction" />
	<Action xsi:type="UpgradeConfigurationAction" />
	<Action xsi:type="UpgradeSitecollectionsAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" />
	<Action xsi:type="UpgradeBlobStorageAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" UpgradeTranslations="true" UpgradeTemplates="true" UpgradeConfiguration="true" UpgradeCustomStyles="true" UpgradePartnerSources="true">
		<Files>
			<File maxAge="43200">/Base/Bundles/AdminScripts.min.js</File>
			<File maxAge="43200">/Base/Bundles/Scripts.min.js</File>
			<File maxAge="43200">/Base/Bundles/App.js</File>

			<File maxAge="43200">/Base/Bundles/AdminStyles.css</File>
			<File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.css</File>
			<File maxAge="43200">/Base/Bundles/StylesBootstrap.css</File>
			<File maxAge="43200">/Base/Bundles/Styles.css</File>
			<File maxAge="43200">/Base/Bundles/StylesModules.css</File>
			<File maxAge="43200">/Base/Bundles/EndUserStyles.css</File>

			<File maxAge="43200">/Base/Bundles/AdminStyles.min.css</File>
			<File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.min.css</File>
			<File maxAge="43200">/Base/Bundles/StylesBootstrap.min.css</File>
			<File maxAge="43200">/Base/Bundles/Styles.min.css</File>
			<File maxAge="43200">/Base/Bundles/StylesModules.min.css</File>
			<File maxAge="43200">/Base/Bundles/EndUserStyles.min.css</File>
			
			<File maxAge="604800">/Base/fonts/wizdom.eot</File>
			<File maxAge="604800">/Base/fonts/wizdom.svg</File>
			<File maxAge="604800">/Base/fonts/wizdom.ttf</File>
			<File maxAge="604800">/Base/fonts/wizdom.woff</File>
			<File maxAge="604800">/Base/Bundles/font/vjs.woff</File>

			<File maxAge="604800">/Base/Content/font/vjs.woff</File>
			<File maxAge="604800">/Base/Content/font/vjs.eot</File>
			<File maxAge="604800">/Base/Content/font/vjs.svg</File>
			<File maxAge="604800">/Base/Content/font/vjs.ttf</File>


			<File maxAge="604800">/Base/fonts/glyphicons-halflings-regular.woff</File>
			<File maxAge="604800">/Base/fonts/glyphicons-halflings-regular.woff2</File>

      <!--<File maxAge="604800">/V2/App/Module bundles/Angular.js</File>
      <File maxAge="604800">/V2/App/Module bundles/AngularLocale.js</File>
      <File maxAge="604800">/V2/App/Module bundles/AngularMoments.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Charts.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Formly.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Greensock.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Jquery.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Jquery.ui.js</File>
      <File maxAge="604800">/V2/App/Module bundles/LegacyScripts.js</File>
      <File maxAge="604800">/V2/App/Module bundles/LoDash.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Masonry.js</File>
      <File maxAge="604800">/V2/App/Module bundles/OcLazyLoad.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Video.js</File>
      <File maxAge="604800">/V2/App/Module bundles/ui.tinymce.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Birthday.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Branding.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Breadcrumb.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.CanteenMenu.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Charts.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.ContentStore.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.CorporateNews.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Currentmenu.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.DepartmentUsers.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Employees.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.FAQ.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Footer.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Gamification.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.HeaderBackground.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.ImageSlider.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Kanban.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.LogoRedirect.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Manual.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Megamenu.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Noticeboard.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.PageContact.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.PageInfo.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.PageRelations.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.PageRevision.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.PersonalLink.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Phonebook.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Poll.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.PrefixPostfix.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Printcontent.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.ProfileProgress.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.ProjectSpace.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.ReplaceContacts.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Revision.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Servicemenu.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.TemplateManager.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Weather.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365.Webform.js</File>
      <File maxAge="604800">/V2/App/Module bundles/Wizdom365Loader.js</File>

      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_ar-sa.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_az-latn-az.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_bg-bg.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_bs-latn-ba.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_ca-es.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_cs-cz.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_cy-gb.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_da-dk.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_de-de.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_el-gr.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_en-us.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_es-es.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_es-us.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_et-ee.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_eu-es.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_fi-fi.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_fr-fr.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_ga-ie.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_gl-es.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_he-il.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_hi-in.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_hr-hr.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_hu-hu.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_id-id.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_it-it.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_ja-jp.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_kk-kh.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_ko-kr.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_lt-lt.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_lv-lv.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_mk-mk.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_ms-my.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_nl-nl.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_no.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_pl-pl.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_prs-af.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_pt-br.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_pt-pt.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_ro-ro.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_ru-ru.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_sk-sk.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_sl-si.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_sr-cyrl-rs.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_sr-latn-rs.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_sv-se.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_th-th.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_tr-tr.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_uk-ua.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_vi-vn.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_zh-cn.js</File>
      <File maxAge="604800">/V2/App/Module resources/AngularLocale/angular-locale_zh-tw.js</File>

      <File maxAge="604800">/V2/App/Module resources/Video/MSAdaptiveStreamingPlugin-osmf2.0.swf</File>
      <File maxAge="604800">/V2/App/Module resources/Video/SmoothStreamingPlayer.xap</File>
      <File maxAge="604800">/V2/App/Module resources/Video/StrobeMediaPlayback.2.0.swf</File>-->

      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/01d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/02d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/03d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/04d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/09d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/10d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/11d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/13d.png</File>
      <File maxAge="604800">/Modules/Weather/Content/WeatherIcons/50d.png</File>
    </Files>
	</Action>
	<Action xsi:type="UpgradeCustomStylesToSaveInBlobAction" />
  <Action xsi:type="FixPrincipalDupletsAction" />
  <Action xsi:type="ValidateConfigurationAction" validationFile="Config.6.11.1.0.validation" />
  <Action xsi:type="AddCurrentWizdomWebApplicationToDatabase" />  
  <Action xsi:type="ClearCacheAction" />
</ArrayOfAction>